<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstParticle Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_particle-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstParticle Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_particle_const_8h_source.html">ParticleConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a30049f8c9df70f102a45751da2ad14f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a30049f8c9df70f102a45751da2ad14f7">ConstParticle</a> ()</td></tr>
<tr class="memdesc:a30049f8c9df70f102a45751da2ad14f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a30049f8c9df70f102a45751da2ad14f7">More...</a><br /></td></tr>
<tr class="separator:a30049f8c9df70f102a45751da2ad14f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eddcd004d577d2867b5a640eb844376"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a4eddcd004d577d2867b5a640eb844376">ConstParticle</a> (<a class="el" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a> <a class="el" href="classeic_1_1_const_particle.html#a367ba5ae9762f547f9fab9a915bf5007">p</a>, <a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> <a class="el" href="classeic_1_1_const_particle.html#a27cceeef4b9612d7aafb710c5c6bec04">v</a>, long long <a class="el" href="classeic_1_1_const_particle.html#a631f764e7c3622416dfe0f6deb8f76c8">pid</a>, long long <a class="el" href="classeic_1_1_const_particle.html#a42851a9de96f79e01e18a4b95ae8df85">status</a>)</td></tr>
<tr class="separator:a4eddcd004d577d2867b5a640eb844376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bc9cb2ec98c10c6c93cf24ec8b22377"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a8bc9cb2ec98c10c6c93cf24ec8b22377">ConstParticle</a> (<a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a> *obj)</td></tr>
<tr class="memdesc:a8bc9cb2ec98c10c6c93cf24ec8b22377"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a>  <a href="#a8bc9cb2ec98c10c6c93cf24ec8b22377">More...</a><br /></td></tr>
<tr class="separator:a8bc9cb2ec98c10c6c93cf24ec8b22377"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e6aad2dfe43aece5c1762a6772be887"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a0e6aad2dfe43aece5c1762a6772be887">ConstParticle</a> (const <a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;other)</td></tr>
<tr class="memdesc:a0e6aad2dfe43aece5c1762a6772be887"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a0e6aad2dfe43aece5c1762a6772be887">More...</a><br /></td></tr>
<tr class="separator:a0e6aad2dfe43aece5c1762a6772be887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcf4db3cf6b9b62b4024094a27823553"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#afcf4db3cf6b9b62b4024094a27823553">operator=</a> (const <a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;other)</td></tr>
<tr class="memdesc:afcf4db3cf6b9b62b4024094a27823553"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#afcf4db3cf6b9b62b4024094a27823553">More...</a><br /></td></tr>
<tr class="separator:afcf4db3cf6b9b62b4024094a27823553"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958579e61a22883dee77b515e824204e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a958579e61a22883dee77b515e824204e">clone</a> () const</td></tr>
<tr class="memdesc:a958579e61a22883dee77b515e824204e"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a958579e61a22883dee77b515e824204e">More...</a><br /></td></tr>
<tr class="separator:a958579e61a22883dee77b515e824204e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a782e29fdf0b7e9a471552bf5693c5adc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a782e29fdf0b7e9a471552bf5693c5adc">~ConstParticle</a> ()</td></tr>
<tr class="memdesc:a782e29fdf0b7e9a471552bf5693c5adc"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a782e29fdf0b7e9a471552bf5693c5adc">More...</a><br /></td></tr>
<tr class="separator:a782e29fdf0b7e9a471552bf5693c5adc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a367ba5ae9762f547f9fab9a915bf5007"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a367ba5ae9762f547f9fab9a915bf5007">p</a> () const</td></tr>
<tr class="memdesc:a367ba5ae9762f547f9fab9a915bf5007"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Four momentum.  <a href="#a367ba5ae9762f547f9fab9a915bf5007">More...</a><br /></td></tr>
<tr class="separator:a367ba5ae9762f547f9fab9a915bf5007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada3c217b6fdc2d2db2a64dbb7926b57c"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#ada3c217b6fdc2d2db2a64dbb7926b57c">px</a> () const</td></tr>
<tr class="memdesc:ada3c217b6fdc2d2db2a64dbb7926b57c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of Four momentum.  <a href="#ada3c217b6fdc2d2db2a64dbb7926b57c">More...</a><br /></td></tr>
<tr class="separator:ada3c217b6fdc2d2db2a64dbb7926b57c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0c29c0bb0f3886502b87992be9aef4"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a2e0c29c0bb0f3886502b87992be9aef4">py</a> () const</td></tr>
<tr class="memdesc:a2e0c29c0bb0f3886502b87992be9aef4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of Four momentum.  <a href="#a2e0c29c0bb0f3886502b87992be9aef4">More...</a><br /></td></tr>
<tr class="separator:a2e0c29c0bb0f3886502b87992be9aef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f7e70e5ed2076662feb25c91c2ce370"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a2f7e70e5ed2076662feb25c91c2ce370">pz</a> () const</td></tr>
<tr class="memdesc:a2f7e70e5ed2076662feb25c91c2ce370"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of Four momentum.  <a href="#a2f7e70e5ed2076662feb25c91c2ce370">More...</a><br /></td></tr>
<tr class="separator:a2f7e70e5ed2076662feb25c91c2ce370"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a289e3a6a49ecd74152f6a73b8455fe8b"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a289e3a6a49ecd74152f6a73b8455fe8b">m</a> () const</td></tr>
<tr class="memdesc:a289e3a6a49ecd74152f6a73b8455fe8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of Four momentum.  <a href="#a289e3a6a49ecd74152f6a73b8455fe8b">More...</a><br /></td></tr>
<tr class="separator:a289e3a6a49ecd74152f6a73b8455fe8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27cceeef4b9612d7aafb710c5c6bec04"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a27cceeef4b9612d7aafb710c5c6bec04">v</a> () const</td></tr>
<tr class="memdesc:a27cceeef4b9612d7aafb710c5c6bec04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the vertex.  <a href="#a27cceeef4b9612d7aafb710c5c6bec04">More...</a><br /></td></tr>
<tr class="separator:a27cceeef4b9612d7aafb710c5c6bec04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a982d47bf755edcefe83a13759c6eb49e"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a982d47bf755edcefe83a13759c6eb49e">x</a> () const</td></tr>
<tr class="memdesc:a982d47bf755edcefe83a13759c6eb49e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of vertex.  <a href="#a982d47bf755edcefe83a13759c6eb49e">More...</a><br /></td></tr>
<tr class="separator:a982d47bf755edcefe83a13759c6eb49e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17b7719db3e3434973a5993bb954bcdc"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a17b7719db3e3434973a5993bb954bcdc">y</a> () const</td></tr>
<tr class="memdesc:a17b7719db3e3434973a5993bb954bcdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of vertex.  <a href="#a17b7719db3e3434973a5993bb954bcdc">More...</a><br /></td></tr>
<tr class="separator:a17b7719db3e3434973a5993bb954bcdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1d116a7e15906e2a7ad1f675897bb2a"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#ab1d116a7e15906e2a7ad1f675897bb2a">z</a> () const</td></tr>
<tr class="memdesc:ab1d116a7e15906e2a7ad1f675897bb2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of vertex.  <a href="#ab1d116a7e15906e2a7ad1f675897bb2a">More...</a><br /></td></tr>
<tr class="separator:ab1d116a7e15906e2a7ad1f675897bb2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c1576c88b6ba285447f28bbc7dca94"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a26c1576c88b6ba285447f28bbc7dca94">t</a> () const</td></tr>
<tr class="memdesc:a26c1576c88b6ba285447f28bbc7dca94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of vertex.  <a href="#a26c1576c88b6ba285447f28bbc7dca94">More...</a><br /></td></tr>
<tr class="separator:a26c1576c88b6ba285447f28bbc7dca94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a631f764e7c3622416dfe0f6deb8f76c8"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a631f764e7c3622416dfe0f6deb8f76c8">pid</a> () const</td></tr>
<tr class="memdesc:a631f764e7c3622416dfe0f6deb8f76c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the <a class="el" href="classeic_1_1_particle.html">Particle</a> type identification code.  <a href="#a631f764e7c3622416dfe0f6deb8f76c8">More...</a><br /></td></tr>
<tr class="separator:a631f764e7c3622416dfe0f6deb8f76c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42851a9de96f79e01e18a4b95ae8df85"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a42851a9de96f79e01e18a4b95ae8df85">status</a> () const</td></tr>
<tr class="memdesc:a42851a9de96f79e01e18a4b95ae8df85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Status code.  <a href="#a42851a9de96f79e01e18a4b95ae8df85">More...</a><br /></td></tr>
<tr class="separator:a42851a9de96f79e01e18a4b95ae8df85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad64b615f4a0363b3c9e4fa1dd27eedd8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#ad64b615f4a0363b3c9e4fa1dd27eedd8">isAvailable</a> () const</td></tr>
<tr class="memdesc:ad64b615f4a0363b3c9e4fa1dd27eedd8"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#ad64b615f4a0363b3c9e4fa1dd27eedd8">More...</a><br /></td></tr>
<tr class="separator:ad64b615f4a0363b3c9e4fa1dd27eedd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa548c5e427bd884b22527d26b9adfd8e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#aa548c5e427bd884b22527d26b9adfd8e">unlink</a> ()</td></tr>
<tr class="memdesc:aa548c5e427bd884b22527d26b9adfd8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a> instance  <a href="#aa548c5e427bd884b22527d26b9adfd8e">More...</a><br /></td></tr>
<tr class="separator:aa548c5e427bd884b22527d26b9adfd8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b0c7492bc2e2b643d68ed067f46e7a6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a7b0c7492bc2e2b643d68ed067f46e7a6">operator==</a> (const <a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;other) const</td></tr>
<tr class="separator:a7b0c7492bc2e2b643d68ed067f46e7a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fbe411100bc36c6280c5f5ab3f228a6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a7fbe411100bc36c6280c5f5ab3f228a6">operator==</a> (const <a class="el" href="classeic_1_1_particle.html">Particle</a> &amp;other) const</td></tr>
<tr class="separator:a7fbe411100bc36c6280c5f5ab3f228a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d079b40ac9cc34d49f03b7e6854f2e4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a6d079b40ac9cc34d49f03b7e6854f2e4">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;other) const</td></tr>
<tr class="separator:a6d079b40ac9cc34d49f03b7e6854f2e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a891bb2f69d0cd8f9cf28160ca68943e1"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a891bb2f69d0cd8f9cf28160ca68943e1">id</a> () const</td></tr>
<tr class="separator:a891bb2f69d0cd8f9cf28160ca68943e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389ba46589dec62ac7384e7ba76f3d78"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_particle.html#a389ba46589dec62ac7384e7ba76f3d78">getObjectID</a> () const</td></tr>
<tr class="separator:a389ba46589dec62ac7384e7ba76f3d78"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Basic <a class="el" href="classeic_1_1_particle.html">Particle</a> used for reconstructed and generated particles </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_particle_const_8h_source.html#l00025">25</a> of file <a class="el" href="_particle_const_8h_source.html">ParticleConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a30049f8c9df70f102a45751da2ad14f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30049f8c9df70f102a45751da2ad14f7">&#9670;&nbsp;</a></span>ConstParticle() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstParticle::ConstParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00016">16</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

</div>
</div>
<a id="a4eddcd004d577d2867b5a640eb844376"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4eddcd004d577d2867b5a640eb844376">&#9670;&nbsp;</a></span>ConstParticle() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstParticle::ConstParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a>&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&#160;</td>
          <td class="paramname"><em>v</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>pid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>status</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00020">20</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_particle_data_8h_source.html#l00018">eic::ParticleData::p</a>, <a class="el" href="_particle_const_8cc_source.html#l00049">p()</a>, <a class="el" href="_particle_data_8h_source.html#l00020">eic::ParticleData::pid</a>, <a class="el" href="_particle_const_8cc_source.html#l00059">pid()</a>, <a class="el" href="_particle_data_8h_source.html#l00021">eic::ParticleData::status</a>, <a class="el" href="_particle_const_8cc_source.html#l00060">status()</a>, <a class="el" href="_particle_data_8h_source.html#l00019">eic::ParticleData::v</a>, and <a class="el" href="_particle_const_8cc_source.html#l00054">v()</a>.</p>

</div>
</div>
<a id="a8bc9cb2ec98c10c6c93cf24ec8b22377"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bc9cb2ec98c10c6c93cf24ec8b22377">&#9670;&nbsp;</a></span>ConstParticle() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstParticle::ConstParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00038">38</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

</div>
</div>
<a id="a0e6aad2dfe43aece5c1762a6772be887"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e6aad2dfe43aece5c1762a6772be887">&#9670;&nbsp;</a></span>ConstParticle() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstParticle::ConstParticle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00028">28</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

</div>
</div>
<a id="a782e29fdf0b7e9a471552bf5693c5adc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a782e29fdf0b7e9a471552bf5693c5adc">&#9670;&nbsp;</a></span>~ConstParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstParticle::~ConstParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00046">46</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a958579e61a22883dee77b515e824204e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a958579e61a22883dee77b515e824204e">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> eic::ConstParticle::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00042">42</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

</div>
</div>
<a id="a389ba46589dec62ac7384e7ba76f3d78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a389ba46589dec62ac7384e7ba76f3d78">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstParticle::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00074">74</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8h_source.html#l00097">id()</a>.</p>

</div>
</div>
<a id="a891bb2f69d0cd8f9cf28160ca68943e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a891bb2f69d0cd8f9cf28160ca68943e1">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstParticle::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_const_8h_source.html#l00097">97</a> of file <a class="el" href="_particle_const_8h_source.html">ParticleConst.h</a>.</p>

<p class="reference">References <a class="el" href="_particle_const_8cc_source.html#l00074">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad64b615f4a0363b3c9e4fa1dd27eedd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad64b615f4a0363b3c9e4fa1dd27eedd8">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstParticle::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00067">67</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

</div>
</div>
<a id="a289e3a6a49ecd74152f6a73b8455fe8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a289e3a6a49ecd74152f6a73b8455fe8b">&#9670;&nbsp;</a></span>m()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstParticle::m </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of Four momentum. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00016">eic::VectorPxPyPzM::m</a>, and <a class="el" href="_particle_data_8h_source.html#l00018">eic::ParticleData::p</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a6d079b40ac9cc34d49f03b7e6854f2e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d079b40ac9cc34d49f03b7e6854f2e4">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstParticle::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_const_8h_source.html#l00095">95</a> of file <a class="el" href="_particle_const_8h_source.html">ParticleConst.h</a>.</p>

</div>
</div>
<a id="afcf4db3cf6b9b62b4024094a27823553"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcf4db3cf6b9b62b4024094a27823553">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp; eic::ConstParticle::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00032">32</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

</div>
</div>
<a id="a7b0c7492bc2e2b643d68ed067f46e7a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b0c7492bc2e2b643d68ed067f46e7a6">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstParticle::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_const_8h_source.html#l00091">91</a> of file <a class="el" href="_particle_const_8h_source.html">ParticleConst.h</a>.</p>

</div>
</div>
<a id="a7fbe411100bc36c6280c5f5ab3f228a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fbe411100bc36c6280c5f5ab3f228a6">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstParticle::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_particle.html">Particle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00081">81</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

</div>
</div>
<a id="a367ba5ae9762f547f9fab9a915bf5007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a367ba5ae9762f547f9fab9a915bf5007">&#9670;&nbsp;</a></span>p()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a> &amp; eic::ConstParticle::p </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Four momentum. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00049">49</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, and <a class="el" href="_particle_data_8h_source.html#l00018">eic::ParticleData::p</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">ConstParticle()</a>, and <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a631f764e7c3622416dfe0f6deb8f76c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a631f764e7c3622416dfe0f6deb8f76c8">&#9670;&nbsp;</a></span>pid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstParticle::pid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the <a class="el" href="classeic_1_1_particle.html">Particle</a> type identification code. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00059">59</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, and <a class="el" href="_particle_data_8h_source.html#l00020">eic::ParticleData::pid</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">ConstParticle()</a>, and <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ada3c217b6fdc2d2db2a64dbb7926b57c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada3c217b6fdc2d2db2a64dbb7926b57c">&#9670;&nbsp;</a></span>px()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstParticle::px </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of Four momentum. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00050">50</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_particle_data_8h_source.html#l00018">eic::ParticleData::p</a>, and <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00013">eic::VectorPxPyPzM::px</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a2e0c29c0bb0f3886502b87992be9aef4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e0c29c0bb0f3886502b87992be9aef4">&#9670;&nbsp;</a></span>py()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstParticle::py </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of Four momentum. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00051">51</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_particle_data_8h_source.html#l00018">eic::ParticleData::p</a>, and <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00014">eic::VectorPxPyPzM::py</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a2f7e70e5ed2076662feb25c91c2ce370"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f7e70e5ed2076662feb25c91c2ce370">&#9670;&nbsp;</a></span>pz()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstParticle::pz </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of Four momentum. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00052">52</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_particle_data_8h_source.html#l00018">eic::ParticleData::p</a>, and <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00015">eic::VectorPxPyPzM::pz</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a42851a9de96f79e01e18a4b95ae8df85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42851a9de96f79e01e18a4b95ae8df85">&#9670;&nbsp;</a></span>status()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstParticle::status </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Status code. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00060">60</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, and <a class="el" href="_particle_data_8h_source.html#l00021">eic::ParticleData::status</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">ConstParticle()</a>, and <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a26c1576c88b6ba285447f28bbc7dca94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26c1576c88b6ba285447f28bbc7dca94">&#9670;&nbsp;</a></span>t()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstParticle::t </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of vertex. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00058">58</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_vector_x_y_z_t_8h_source.html#l00016">eic::VectorXYZT::t</a>, and <a class="el" href="_particle_data_8h_source.html#l00019">eic::ParticleData::v</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aa548c5e427bd884b22527d26b9adfd8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa548c5e427bd884b22527d26b9adfd8e">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstParticle::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8h_source.html#l00089">89</a> of file <a class="el" href="_particle_const_8h_source.html">ParticleConst.h</a>.</p>

</div>
</div>
<a id="a27cceeef4b9612d7aafb710c5c6bec04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27cceeef4b9612d7aafb710c5c6bec04">&#9670;&nbsp;</a></span>v()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> &amp; eic::ConstParticle::v </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the vertex. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, and <a class="el" href="_particle_data_8h_source.html#l00019">eic::ParticleData::v</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">ConstParticle()</a>, and <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a982d47bf755edcefe83a13759c6eb49e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a982d47bf755edcefe83a13759c6eb49e">&#9670;&nbsp;</a></span>x()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstParticle::x </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of vertex. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00055">55</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_particle_data_8h_source.html#l00019">eic::ParticleData::v</a>, and <a class="el" href="_vector_x_y_z_t_8h_source.html#l00013">eic::VectorXYZT::x</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a17b7719db3e3434973a5993bb954bcdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17b7719db3e3434973a5993bb954bcdc">&#9670;&nbsp;</a></span>y()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstParticle::y </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of vertex. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00056">56</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_particle_data_8h_source.html#l00019">eic::ParticleData::v</a>, and <a class="el" href="_vector_x_y_z_t_8h_source.html#l00014">eic::VectorXYZT::y</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ab1d116a7e15906e2a7ad1f675897bb2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1d116a7e15906e2a7ad1f675897bb2a">&#9670;&nbsp;</a></span>z()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstParticle::z </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of vertex. </p>

<p class="definition">Definition at line <a class="el" href="_particle_const_8cc_source.html#l00057">57</a> of file <a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">eic::ParticleObj::data</a>, <a class="el" href="_particle_data_8h_source.html#l00019">eic::ParticleData::v</a>, and <a class="el" href="_vector_x_y_z_t_8h_source.html#l00015">eic::VectorXYZT::z</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_8cc_source.html#l00104">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_particle_const_8h_source.html">ParticleConst.h</a></li>
<li>src/<a class="el" href="_particle_const_8cc_source.html">ParticleConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
